i=0
N1=16000
N2=120000
step=13600

sleepT=8


for (( i=N1; i<=N2; i+=step )); do
	echo i: $i
	echo "lab1-seq:"
	./lab1-seq $i
	sleep $sleepT
	echo "lab1-par-1:"
	./lab1-par-1 $i
	sleep $sleepT
	echo "lab1-par-4:"
	./lab1-par-4 $i
	sleep $sleepT
	echo "lab1-par-8:"
	./lab1-par-8 $i
	sleep $sleepT
	echo "lab1-par-32:"
	./lab1-par-32 $i
	sleep $sleepT
done
